Bug 120904 - Clicking clone formatting a second time doesn't get out of clone mode (Impress-only)
Summary: Clicking clone formatting a second time doesn't get out of clone mode (Impres...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice, needsDevEval
Depends on:
Blocks: Clone-Formatting
  Show dependency treegraph
 
Reported: 2018-10-25 11:19 UTC by Aron Budea
Modified: 2022-01-16 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-10-25 11:19:20 UTC
- Add some text in an Impress slide.
- Select a piece of it, and clicek Clone Formatting in the toolbar.

^= Note how the whole text box becomes selected, this might be related to the issue.

- Click the Clone formatting again.

=> Nothing happens, the toolbar button is still pressed and you remain in cloning mode. (Esc key gets you out of it)

The bug might be related to the text box being selected, as it happens if you start cloning when selecting the text box itself.

I'm not sure if expanding the selection to the text box is necessary, in Calc clone formatting is disabled when only a piece of text in a cell is selected, but in Writer it works on any piece of a paragraph. Perhaps this is an unnecessary restriction.

Observed using LO 6.2 alpha1 & 3.3.0 / Windows 7 & Ubuntu 18.04.
Comment 1 Aron Budea 2018-10-25 11:21:04 UTC
And both in Calc and Writer clicking the Clone formatting button a second time exits cloning mode.
Comment 2 Xisco Faulí 2018-11-26 15:52:45 UTC
Reproduced in

Version: 6.2.0.0.beta1+
Build ID: a63cd8bbe7cf881daa8dc7a7f32f3e5ac384e902
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Heiko Tietze 2018-11-27 11:14:42 UTC
Double-clicking clone format makes it sticky so you can apply the taken format to many targets. However, this works only in Writer and due to the fact that the first click exits from the edit mode you cannot press a second time in Impress but get something else. So the question to dev is why we leave the edit mode at all.
Comment 4 QA Administrators 2019-11-28 04:08:19 UTC Comment hidden (obsolete)
Comment 5 Andrew Watson 2020-01-16 09:47:17 UTC
In response to comment 4:

Checked with:

Version: 6.4.0.2
Build ID: 08d19fecdc7a2298d051e19cfdb7c35544855fc3
CPU threads: 4; OS: Mac OS X 10.11.6; UI render: default; VCL: osx; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Behaviour is still that described in original bug description and Comment 1.
Comment 6 QA Administrators 2022-01-16 03:42:00 UTC
Dear Aron Budea,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug